local NamedTargetSystem = inherited("NamedTargetSystem", SystemMap)

function NamedTargetSystem:new()
	local ms = instance(self)
	return ms
end

NamedTargetSystem.key = "named_target"

function NamedTargetSystem:wants(ent)
	return ent.aspects.named and ent.name and ent.aspects.team_target
end

function NamedTargetSystem:dynamic_wants(ent)
	return ent.aspects.named and ent.name
end

function NamedTargetSystem:ent_added(ent)
end

function NamedTargetSystem:ent_removed(ent)
end

function NamedTargetSystem:get_named_targets_map()
	return self.ents
end

return NamedTargetSystem